6.0.0-git
2019-10-22

[#4760] Better represent that multi-day events are the same event
Summary Better represent that multi-day events are the same event
Queue Kronolith
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester cbs (at) cts (dot) ucla (dot) edu
Created 2006-12-11 (4698 days ago)
Due
Updated 2008-11-09 (3999 days ago)
Assigned
Resolved
Milestone
Patch No

History
2008-11-09 02:31:25 Chuck Hagenbuch Summary ⇒ Better represent that multi-day events are the same event
 
2008-11-09 02:30:52 Chuck Hagenbuch Comment #9
State ⇒ Accepted
Reply to this comment
We should have some visual and/or logical clue that multi-day events

are the same event. Especially they shouldn't have two separate delete

buttons that look as though they delete different things.

From #7485:



Complicated ideas include having the event bubbles connect across days.



A simple idea that might eliminate the worst confusion would be to not

show delete or edit buttons the 2nd, 3rd, + times an event is shown in

the same view.



This would NOT apply to recurring events, since there are already

sensible different actions for delete and edit based on which

recurrence is clicked.
2006-12-11 22:49:35 Chuck Hagenbuch Deleted Original Message
 
2006-12-11 22:49:26 Chuck Hagenbuch Deleted Original Message
 
2006-12-11 22:49:19 Chuck Hagenbuch Deleted Original Message
 
2006-12-11 22:49:11 Chuck Hagenbuch Deleted Original Message
 
2006-12-11 22:48:20 Chuck Hagenbuch Comment #8
State ⇒ Stalled
Reply to this comment
I won't be able to get to any forwarding porting until mid-January at
the earliest.  I'm doing a stable deployment at the end of December,
and all of my "feature" work will be based on that.
I can understand that; I hope you understand that from our 
perspective, for stability, changes really need to go into HEAD first 
so that what gets merged down to the stable releases is, well, stable.
In the meantime, do you want updates to the prior patchset attached
to this bug, or would you prefer that I hold everything locally until
I have time to patch head?
I'd prefer you held it until you had a HEAD patch. I'm going to stall 
this ticket for now, but I do hope you have time to get back to it 
later.



Thanks for your contributions,

-chuck
2006-12-11 17:16:22 cbs (at) cts (dot) ucla (dot) edu Comment #7 Reply to this comment
I won't be able to get to any forwarding porting until mid-January at 
the earliest.  I'm doing a stable deployment at the end of December, 
and all of my "feature" work will be based on that.



In the meantime, do you want updates to the prior patchset attached to 
this bug, or would you prefer that I hold everything locally until I 
have time to patch head?
2006-12-11 16:04:38 Chuck Hagenbuch Comment #6
State ⇒ Feedback
Version ⇒ HEAD
Reply to this comment
That looks great and I'm sure will be appreciated. Unfortunately I 
need to ask you to do these patches against HEAD, not the stable 
version. This is our policy for all enhancements; they go into HEAD 
and then are merged to the stable versions when appropriate. If the 
differences aren't great we'll try to use the same patches, but in 
this case Kronolith has been reorganized enough that this really needs 
to be done in HEAD.



Thanks!
2006-12-11 13:27:02 cbs (at) cts (dot) ucla (dot) edu Comment #5
New Attachment: screen.css.diff
Reply to this comment
patch for screen.css



I have several other changres to the css, so the line numbers might be 
off.  The changes are minor, and should be easy to eyeball (changing 
.*-eventbox -mox-border-radius from 15px to 5px, and adding classes 
for .blankline and .skip)
2006-12-11 13:24:01 cbs (at) cts (dot) ucla (dot) edu Comment #4
New Attachment: all_day.inc.diff
Reply to this comment
patch for all_day.inc
2006-12-11 13:23:02 cbs (at) cts (dot) ucla (dot) edu Comment #3
New Attachment: DayView.php.diff
Reply to this comment
patch for lib/DayView.php
2006-12-11 13:22:10 cbs (at) cts (dot) ucla (dot) edu Comment #2
New Attachment: WeekView.php.diff
Reply to this comment
patch for lib/WeekView.php
2006-12-11 13:21:31 cbs (at) cts (dot) ucla (dot) edu Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ convert all-day appointments in week/work-week view so that multiple days are a contiguous block
Queue ⇒ Kronolith
New Attachment: Picture 1.png Download
Reply to this comment
all-day appointments that last several days do not show up as 
contiguous blocks in the week and work-week views.  This is especially 
confusing if there are multiple appointments that partially overlap.



I've started reworking the week/work-week view so that all-day 
appointments are displayed as a single contiguous block.  I'm 
attaching a screen capture showing the changes to this.  I'll attach 
patches for lib/WeekView.php, lib/DayView.php, 
templates/day/all_day.inc, and themes/screen.css

Saved Queries